FTL_FORMAT(1)

NAME
ftl_format - Flash Translation Layer formatting utility

SYNOPSIS
ftl_format [-q] [-i] [-s spare] [-r reserve] [-b bootsize] device

DESCRIPTION
Ftl_format creates a Flash Translation Layer partition on a flash memory device. It needs to access the flash partition's raw character-mode device (such as /dev/mem0c0c).

This is actually a low-level format operation, required before accessing a memory device via the FTL block device driver. Once a partition is prepared with ftl_format, a filesystem should be created in a separate step. Filesystem commands should access the device via the FTL device file (such as /dev/ftl0).

Optionally, ftl_format can reserve a region at the beginning of the flash card address space for a boot image (or any other purpose). The boot area is not part of the FTL partition, and can only be accessed via the raw memory device.

On Intel Series 100 flash cards, the first flash block is used to store the card's configuration information structures. If no boot area is specified on the command line, ftl_format will automatically create one to span the first block.

OPTIONS

-q  Quiet mode: don't print formatting statistics.

-i  Interactive: confirm before beginning the format.

-s spare
    Reserve the specified number of erase blocks as spares. The default is 1. A read-write partition requires at least one spare block.

-r reserve
    Reserve the specified percentage of the total space on the device to improve write efficiency. The default is 5%. Reserving less space increases the frequency of flash erase operations to reclaim free blocks.

-b bootsize
    Requests that a portion of the flash card be reserved for a boot image. The size will be rounded up to an integral number of erase blocks.

AUTHOR
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
ftl_cs(4), ftl_check(8).